package com.bipt.intelligentapplicationorchestrationservice.service;

import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelVO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelVersion;
import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelVersionDTO;

import java.util.List;

public interface ModelService {
    void createModel(ModelDTO dto);

    void createModelVersion(ModelDTO dto);

    List<ModelVO> list();

    ModelVersion detail(Long id);

    void updateModel(ModelVersionDTO dto);

    void deleteModelVersion(Long id);

    void updateLifeCycle(Long id, String lifeCycle);
}
